# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-www/mod_ssl/mod_ssl-2.8.25-r10.ebuild,v 1.9 2006/06/04 18:49:05 vericgar Exp $

inherit apache-module

MY_P=${P}-1.3.34

DESCRIPTION="An SSL module for the Apache 1.3 Web server"
HOMEPAGE="http://www.modssl.org/"
SRC_URI="http://www.modssl.org/source/${MY_P}.tar.gz"

LICENSE="as-is"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86"
IUSE=""

DEPEND=">=dev-libs/openssl-0.9.6k"
RDEPEND="${DEPEND}"

S=${WORKDIR}/${MY_P}

APACHE1_MOD_FILE="${S}/pkg.sslmod/libssl.so"
APACHE1_MOD_CONF="10_${PN}"
APACHE1_MOD_DEFINE="SSL"

VHOSTFILE="default-ssl"

DOCFILES="ANNOUNCE CHANGES CREDITS LICENSE NEWS README*"

need_apache1

src_unpack() {
	unpack ${A} || die
	cd ${S} || die

	# proper path to openssl
	sed -i -e 's:^\(openssl=\).*:\1"/usr/bin/openssl":' pkg.contrib/cca.sh
}

src_compile() {
	if has_version '=sys-libs/gdbm-1.8.3*' ; then
	     myconf="--enable-rule=SSL_SDBM"
	fi

	SSL_BASE=SYSTEM \
	./configure \
		--with-apxs=${APXS1} ${myconf} || die "bad ./configure"
	make || die "compile problem"
}

src_install() {
	apache1_src_install

	insinto ${APACHE1_VHOSTDIR}
	doins ${FILESDIR}/${VHOSTFILE}.conf

	exeinto /usr/lib/ssl/mod_ssl
	doexe pkg.contrib/*.sh ${FILESDIR}/gentestcrt.sh

	dodir /usr/share/doc/${PF}/html
	cp -pPR pkg.ssldoc/* ${D}/usr/share/doc/${PF}/html
}

pkg_postinst() {
	install -d -o root -g root -m0755 ${ROOT}${APACHE1_CONFDIR}/ssl

	apache1_pkg_postinst

	cd ${ROOT}${APACHE1_CONFDIR}/ssl
	einfo "Generating self-signed test certificate in ${APACHE1_CONFDIR}/ssl..."
	einfo "(Ignore any message from the yes command below)"
	yes "" | ${ROOT}/usr/lib/ssl/mod_ssl/gentestcrt.sh >/dev/null 2>&1
	einfo
}
